@echo off
rem Imperial Academy Batch File
cls
if "%1"=="off" goto Off
if "%1"=="OFF" goto Off
echo Imperial Academy Add-On Level for Dark Forces, Version 1.1
if not exist dark.exe goto NoDark
if not exist academy.gob goto NoGob
if not exist academy.lfd goto NoLfd
echo Customizing Briefing...
if exist lfd\dfbrief.old goto old
if exist lfd\dfbrief.lfd rename lfd\dfbrief.lfd dfbrief.old
copy academy.lfd lfd\dfbrief.lfd > nul
goto Run
:NoLfd
echo File ACADEMY.LFD not found, briefing will not be customized
:Run
echo Creating Temporary File...
echo @echo off > ia.bat
echo dark -uacademy.gob >> ia.bat
echo academy off >> ia.bat
echo Loading Imperial Academy...
if exist ia.bat ia.bat
echo.
echo Error: Temporary File IA.BAT could not be created!
goto Error
:NoDark
echo.
echo Error: Dark Forces not found!
goto Error
:NoGob
echo.
echo Error: File ACADEMY.GOB could not be found!
goto Error
:Old
echo.
echo Error: A backup of DFBRIEF.LFD to DFBRIEF.OLD could not be
echo performed because DFBRIEF.OLD already exists!
echo If an interruption or a reboot happened while Imperial Academy
echo was running, type "academy off" at the prompt. The briefings
echo will be restored back to normal. Type "academy" to play again.
echo (If you put or named this DFBRIEF.OLD please remove it from
echo the LFD directory and put the original DFBRIEF.LFD file there)
goto Error
:NoOld
echo.
echo Error: Backup copy DFBRIEF.OLD not found! You must restore it
echo from the Dark Forces CD and set off the Read Only attribute.
goto End
:Error
echo.
echo Unable to run Imperial Academy, please consult the ACADEMY.DOC file
echo Exiting...
goto End
:Off
cls
echo Imperial Academy Add-On Level for Dark Forces, Version 1.0
echo Exiting Level
if exist ia.bat del ia.bat
if not exist lfd\dfbrief.old goto NoOld
echo Restoring Original Briefings...
if exist lfd\dfbrief.lfd del lfd\dfbrief.lfd
rename lfd\dfbrief.old dfbrief.lfd
echo End of Line.
:End
echo.
